org.apache.commons.compress

## Class MemoryLimitException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.commons.compress.MemoryLimitException

- All Implemented Interfaces:
    Serializable

      public class MemoryLimitException
      extends IOException

  If a stream checks for estimated memory allocation, and the estimate goes above the memory limit, this is thrown. This can also be thrown if a stream tries to allocate a byte array that is larger than the allowable limit.
  Since:
    1.14
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemoryLimitException(long memoryNeededInKb, int memoryLimitInKb)`
    `MemoryLimitException(long memoryNeededInKb, int memoryLimitInKb, Exception e)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMemoryLimitInKb()`
    `long` | `getMemoryNeededInKb()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MemoryLimitException

          public MemoryLimitException(long memoryNeededInKb,
                                      int memoryLimitInKb)

    - #### MemoryLimitException

          public MemoryLimitException(long memoryNeededInKb,
                                      int memoryLimitInKb,
                                      Exception e)

  - ### Method Detail

    - #### getMemoryLimitInKb

          public int getMemoryLimitInKb()

    - #### getMemoryNeededInKb

          public long getMemoryNeededInKb()

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.